%{?scl:%scl_package javaewah}
%{!?scl:%global pkg_name %{name}}

%global commit c48e1fb068e1b4e4f1c8600904d61d1dddda5a54
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           %{?scl_prefix}javaewah
Version:        0.6.12
Release:        3%{?dist}
Summary:        A word-aligned compressed variant of the Java bitset class

Group:          Development/Libraries
License:        ASL 2.0
URL:            http://code.google.com/p/javaewah/
Source0:        https://github.com/lemire/%{name}/archive/%{commit}/%{pkg_name}-%{version}-%{shortcommit}.tar.gz

# This can be removed if pull request on github is accepted
# https://github.com/lemire/javaewah/pull/22
Source1:        http://www.apache.org/licenses/LICENSE-2.0.txt
BuildArch:      noarch

BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-install-plugin
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-javadoc-plugin
BuildRequires:  maven-release-plugin
BuildRequires:  maven-resources-plugin
BuildRequires:  maven-surefire-plugin
BuildRequires:  maven-surefire-provider-junit
BuildRequires:  maven-shade-plugin
BuildRequires: maven-surefire-provider-junit4
%{?scl:Requires: %scl_runtime}

%description
JavaEWAH is a word-aligned compressed variant of the Java bitset class.
It uses a 64-bit run-length encoding (RLE) compression scheme.

The goal of word-aligned compression is not to achieve the best
compression, but rather to improve query processing time. Hence, we try
to save CPU cycles, maybe at the expense of storage. However, the EWAH
scheme we implemented is always more efficient storage-wise than an
uncompressed bitmap (implemented in Java as the BitSet class). Unlike
some alternatives, javaewah does not rely on a patented scheme.

%package javadoc
Group:          Documentation
Summary:        Javadoc for %{pkg_name}

%description javadoc
API documentation for %{pkg_name}.


%prep
%setup -qn %{pkg_name}-%{commit}

cp %{SOURCE1} .

%pom_remove_plugin org.apache.maven.plugins:maven-gpg-plugin

%build
%{?scl:%scl_maven_opts}
mvn-rpmbuild verify

%install
mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/JavaEWAH-%{version}.jar %{buildroot}%{_javadir}/JavaEWAH.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-JavaEWAH.pom
%add_maven_depmap JPP-JavaEWAH.pom JavaEWAH.jar

%files
%{_javadir}/JavaEWAH.jar
%{_mavenpomdir}/JPP-JavaEWAH.pom
%{_mavendepmapfragdir}/%{name}
%doc CHANGELOG README LICENSE-2.0.txt


%changelog
* Tue Oct 8 2013 Krzysztof Daniel <kdaniel@redhat.com> 0.6.12-3
- Import from f20.
- SCLization and DTS build adjustements.
- Removal of javadoc.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Jun 09 2013 Gerard Ryan <galileo@fedoraproject.org> - 0.6.12-1
- Initial package.
